logLik.coxph {survival} | R Documentation

## logLik method for a Cox model

### Description

The logLik function for survival models

### Usage

    ## S3 method for class 'coxph'
    logLik(object, ...)
    ## S3 method for class 'survreg'
    logLik(object, ...)

### Arguments

`object` | the result of a `coxph` or `survreg` fit
`...` | optional arguments for other instances of the method

### Details

The logLik function is used by summary functions in R such as `AIC`. For a Cox model, this method returns the partial likelihood. The number of degrees of freedom (df) used by the fit and the effective number of observations (nobs) are added as attributes. Per Raftery and others, the effective number of observations is the taken to be the number of events in the data set.

For a `survreg` model the proper value for the effective number of observations is still an open question (at least to this author). For right censored data the approach of `logLik.coxph` is the possible the most sensible, but for interval censored observations the result is unclear. The code currently does not add a nobs attribute.

### Value

an object of class `logLik`

### Author(s)

Terry Therneau

### References

Robert E. Kass and Adrian E. Raftery (1995). "Bayes Factors". J. American Statistical Assoc. 90 (430): 791.

Raftery A.E. (1995), "Bayesian Model Selection in Social Research", Sociological methodology, 111-196.

### See Also

`logLik`

[Package survival version 2.39-4 Index]